package de.elisabetheckstaedt.dipl.GUI;

import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JPanel;

import de.elisabetheckstaedt.dipl.real.Verbraucher;
import de.elisabetheckstaedt.dipl.real.Verbraucher_e;

import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.Dimension;

/**
 * Eingabefenster fr "vereinfachte" Verbraucher (mit Sttzstellen)
 * @author Elisabeth Eckstdt
 *
 */
public class FVerbraucher_e extends TopCustomDialog {
	private static final long serialVersionUID = 1L;
	private JLabel jLabelName = null;
	private JLabel jLabelOrt = null;
	private JLabel jLabelVorlauftemp = null;
	private JTextField jTextFieldName = null;
	private JTextField jTextFieldOrtX = null;
	private JTextField jTextFieldOrtY = null;
	private JTextField jTextFieldVorlauftemp = null;
	private JLabel jLabelStuetztemp = null;
	private JLabel jLabelStutzP = null;
	private JTextField jTextFieldT1 = null;
	private JTextField jTextFieldT2 = null;
	private JTextField jTextFieldT0 = null;
	private JTextField jTextFieldP0 = null;
	private JTextField jTextFieldP1 = null;
	private JTextField jTextFieldP2 = null;

	public FVerbraucher_e(Verbrauchein owner) {
		super(owner);
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 */
	private void initialize() {
        this.setSize(new Dimension(400, 200));
        this.setTitle("DC/DEsign - I - Verbraucher mit Sttzpunktverfahren hinzufgen");
        this.setContentPane(getJContentPane());
			
	}

	/**
	 * This method initializes jLabelName	
	 * 	
	 * @return javax.swing.JLabel	
	 */
	private JLabel getJLabelName() {
		if (jLabelName == null) {
			jLabelName = new JLabel();
			jLabelName.setText("Name");
		}
		return jLabelName;
	}

	/**
	 * This method initializes jLabelOrt	
	 * 	
	 * @return javax.swing.JLabel	
	 */
	private JLabel getJLabelOrt() {
		if (jLabelOrt == null) {
			jLabelOrt = new JLabel();
			jLabelOrt.setText("Ort X, Y [m]");
		}
		return jLabelOrt;
	}

	/**
	 * This method initializes jLabelVorlauftemp	
	 * 	
	 * @return javax.swing.JLabel	
	 */
	private JLabel getJLabelVorlauftemp() {
		if (jLabelVorlauftemp == null) {
			jLabelVorlauftemp = new JLabel();
			jLabelVorlauftemp.setText("Vorlauftemperatur [C]");
		}
		return jLabelVorlauftemp;
	}

	/**
	 * This method initializes jTextFieldName	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldName() {
		if (jTextFieldName == null) {
			jTextFieldName = new JTextField();
			jTextFieldName.setText("Verbraucher1");
		}
		return jTextFieldName;
	}

	/**
	 * This method initializes jTextFieldOrtX	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldOrtX() {
		if (jTextFieldOrtX == null) {
			jTextFieldOrtX = new JTextField();
			jTextFieldOrtX.setText("267");
		}
		return jTextFieldOrtX;
	}

	/**
	 * This method initializes jTextFieldOrtY	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldOrtY() {
		if (jTextFieldOrtY == null) {
			jTextFieldOrtY = new JTextField();
			jTextFieldOrtY.setText("341");
		}
		return jTextFieldOrtY;
	}

	/**
	 * This method initializes jTextFieldVorlauftemp	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldVorlauftemp() {
		if (jTextFieldVorlauftemp == null) {
			jTextFieldVorlauftemp = new JTextField();
			jTextFieldVorlauftemp.setText("5");
		}
		return jTextFieldVorlauftemp;
	}

	/**
	 * This method initializes jLabelStuetztemp	
	 * 	
	 * @return javax.swing.JLabel	
	 */
	private JLabel getJLabelStuetztemp() {
		if (jLabelStuetztemp == null) {
			jLabelStuetztemp = new JLabel();
			jLabelStuetztemp.setText("Sttztemperatur [C] (aufsteigend)");
		}
		return jLabelStuetztemp;
	}

	/**
	 * This method initializes jLabelStutzP	
	 * 	
	 * @return javax.swing.JLabel	
	 */
	private JLabel getJLabelStutzP() {
		if (jLabelStutzP == null) {
			jLabelStutzP = new JLabel();
			jLabelStutzP.setText("Sttzleistungen [kW]");
		}
		return jLabelStutzP;
	}

	/**
	 * This method initializes jTextFieldT1	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldT1() {
		if (jTextFieldT1 == null) {
			jTextFieldT1 = new JTextField();
			jTextFieldT1.setText("10");
		}
		return jTextFieldT1;
	}

	/**
	 * This method initializes jTextFieldT2	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldT2() {
		if (jTextFieldT2 == null) {
			jTextFieldT2 = new JTextField();
			jTextFieldT2.setText("30");
		}
		return jTextFieldT2;
	}

	/**
	 * This method initializes jTextFieldT0	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldT0() {
		if (jTextFieldT0 == null) {
			jTextFieldT0 = new JTextField();
			jTextFieldT0.setText("-1");
		}
		return jTextFieldT0;
	}

	/**
	 * This method initializes jTextFieldP0	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldP0() {
		if (jTextFieldP0 == null) {
			jTextFieldP0 = new JTextField();
			jTextFieldP0.setText("4");
		}
		return jTextFieldP0;
	}

	/**
	 * This method initializes jTextFieldP1	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldP1() {
		if (jTextFieldP1 == null) {
			jTextFieldP1 = new JTextField();
			jTextFieldP1.setText("15");
		}
		return jTextFieldP1;
	}

	/**
	 * This method initializes jTextFieldP2	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldP2() {
		if (jTextFieldP2 == null) {
			jTextFieldP2 = new JTextField();
			jTextFieldP2.setText("30");
			jTextFieldP2.setText("20");
		}
		return jTextFieldP2;
	}

	/**
	 * This method initializes jPanelInhalt	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	protected JPanel getJPanelInhalt() {
		if (jPanelInhalt == null) {
			GridBagConstraints gridBagConstraints13 = new GridBagConstraints();
			gridBagConstraints13.gridx = 0;
			gridBagConstraints13.gridy = 4;
			GridBagConstraints gridBagConstraints12 = new GridBagConstraints();
			gridBagConstraints12.gridx = 0;
			gridBagConstraints12.gridy = 3;
			GridBagConstraints gridBagConstraints11 = new GridBagConstraints();
			gridBagConstraints11.gridx = 0;
			gridBagConstraints11.gridy = 2;
			GridBagConstraints gridBagConstraints10 = new GridBagConstraints();
			gridBagConstraints10.gridx = 0;
			gridBagConstraints10.gridy = 1;
			GridBagConstraints gridBagConstraints9 = new GridBagConstraints();
			gridBagConstraints9.fill = GridBagConstraints.BOTH;
			gridBagConstraints9.gridx = 3;
			gridBagConstraints9.gridy = 4;
			gridBagConstraints9.weightx = 1.0;
			GridBagConstraints gridBagConstraints8 = new GridBagConstraints();
			gridBagConstraints8.fill = GridBagConstraints.BOTH;
			gridBagConstraints8.gridx = 2;
			gridBagConstraints8.gridy = 4;
			gridBagConstraints8.gridwidth = 1;
			gridBagConstraints8.weightx = 1.0;
			GridBagConstraints gridBagConstraints7 = new GridBagConstraints();
			gridBagConstraints7.fill = GridBagConstraints.BOTH;
			gridBagConstraints7.gridx = 1;
			gridBagConstraints7.gridy = 4;
			gridBagConstraints7.weightx = 1.0;
			GridBagConstraints gridBagConstraints6 = new GridBagConstraints();
			gridBagConstraints6.fill = GridBagConstraints.BOTH;
			gridBagConstraints6.gridx = 3;
			gridBagConstraints6.gridy = 3;
			gridBagConstraints6.weightx = 1.0;
			GridBagConstraints gridBagConstraints5 = new GridBagConstraints();
			gridBagConstraints5.fill = GridBagConstraints.BOTH;
			gridBagConstraints5.gridx = 2;
			gridBagConstraints5.gridy = 3;
			gridBagConstraints5.weightx = 1.0;
			GridBagConstraints gridBagConstraints4 = new GridBagConstraints();
			gridBagConstraints4.fill = GridBagConstraints.BOTH;
			gridBagConstraints4.gridx = 1;
			gridBagConstraints4.gridy = 3;
			gridBagConstraints4.weightx = 1.0;
			GridBagConstraints gridBagConstraints3 = new GridBagConstraints();
			gridBagConstraints3.fill = GridBagConstraints.BOTH;
			gridBagConstraints3.gridx = 1;
			gridBagConstraints3.gridy = 2;
			gridBagConstraints3.gridwidth = 3;
			gridBagConstraints3.weightx = 1.0;
			GridBagConstraints gridBagConstraints2 = new GridBagConstraints();
			gridBagConstraints2.fill = GridBagConstraints.BOTH;
			gridBagConstraints2.gridx = 2;
			gridBagConstraints2.gridy = 1;
			gridBagConstraints2.gridwidth = 3;
			gridBagConstraints2.weightx = 1.0;
			GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
			gridBagConstraints1.fill = GridBagConstraints.BOTH;
			gridBagConstraints1.gridx = 1;
			gridBagConstraints1.gridy = 1;
			gridBagConstraints1.weightx = 1.0;
			
			GridBagConstraints gridBagConstraints = new GridBagConstraints();
			gridBagConstraints.fill = GridBagConstraints.BOTH;
			gridBagConstraints.gridwidth = 3;
			gridBagConstraints.weightx = 1.0;
			jPanelInhalt = new JPanel();
			jPanelInhalt.setLayout(new GridBagLayout());
			jPanelInhalt.add(getJLabelName(), new GridBagConstraints());
			jPanelInhalt.add(getJTextFieldName(), gridBagConstraints);
			jPanelInhalt.add(getJLabelOrt(), gridBagConstraints10);
			jPanelInhalt.add(getJTextFieldOrtX(), gridBagConstraints1);
			jPanelInhalt.add(getJTextFieldOrtY(), gridBagConstraints2);
			jPanelInhalt.add(getJLabelVorlauftemp(), gridBagConstraints11);
			jPanelInhalt.add(getJTextFieldVorlauftemp(), gridBagConstraints3);
			jPanelInhalt.add(getJLabelStuetztemp(), gridBagConstraints12);
			jPanelInhalt.add(getJTextFieldT0(), gridBagConstraints4);
			jPanelInhalt.add(getJTextFieldT1(), gridBagConstraints5);
			jPanelInhalt.add(getJTextFieldT2(), gridBagConstraints6);
			jPanelInhalt.add(getJLabelStutzP(), gridBagConstraints13);
			jPanelInhalt.add(getJTextFieldP0(), gridBagConstraints7);
			jPanelInhalt.add(getJTextFieldP1(), gridBagConstraints8);
			jPanelInhalt.add(getJTextFieldP2(), gridBagConstraints9);
		}
		return jPanelInhalt;
	}

	protected void Uebernehmen() {
		double[] stuetztemp = { Double.valueOf(jTextFieldT0.getText()).doubleValue(), 
				Double.valueOf(jTextFieldT1.getText()).doubleValue(),
				Double.valueOf(jTextFieldT2.getText()).doubleValue(),
		};
		double[] stuetzleist = { Double.valueOf(jTextFieldP0.getText()).doubleValue(), 
				Double.valueOf(jTextFieldP1.getText()).doubleValue(),
				Double.valueOf(jTextFieldP2.getText()).doubleValue(),
		};
		
		double[] ort = {Double.valueOf(jTextFieldOrtX.getText()).doubleValue(),Double.valueOf(jTextFieldOrtY.getText()).doubleValue()};
		Verbraucher neu = new Verbraucher_e(jTextFieldName.getText(), ort, 
				Double.valueOf(jTextFieldVorlauftemp.getText()).doubleValue(), stuetztemp, stuetzleist);
		((Verbrauchein) getOwner()).hinzufuegen(neu);
	}
}
