package de.elisabetheckstaedt.dipl.real;

import java.util.Arrays;

/**
 * reprsentiert die Mess-, Steuer- und Regelungstechnik in der Kltezentrale
 * @author Elisabeth Eckstdt
 */
public class MSR extends Stromverbraucher{

	public MSR(String name) {
		super(name);
	}
	
	/**
	 * setzt Faktoren und Investition
	 * @param investition
	 */
	public void init(double investition)
	{
		Nutzungsdauer = 15;
		Instandsetzung = 1.5;
		Wartung = 1;
		Bedienung = 0;
		Inspektion = 0;
		Investition = investition;
	}
	/**
	 * ist null
	 */
	public void Stromverbrauch()
	{
		Arrays.fill(Stromverbrauch,0);
	}
	public String getBauteilart() {
		return "MSR";
	}

}
