package de.elisabetheckstaedt.dipl.common;

import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

import de.elisabetheckstaedt.dipl.GUI.Hauptfenster;

/**
 * setzt Look & Feel, ffnet Hauptfenster
 * @author Elisabeth Eckstdt
 *
 */
public class Start {

	public static void main(String[] args) {
		
		try {
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		} catch (InstantiationException e) {
			e.printStackTrace();
		} catch (IllegalAccessException e) {
			e.printStackTrace();
		} catch (UnsupportedLookAndFeelException e) {
			e.printStackTrace();
		}
		
		Hauptfenster HF = new Hauptfenster();
		HF.setVisible(true);
	}
}
