package de.elisabetheckstaedt.dipl.real;

import de.elisabetheckstaedt.dipl.common.Einzelobjekt;

/**
 * abstrakte Vaterklasse fr alle Stromverbrauchenden Kostenstellen
 * @author Elisabeth Eckstdt
 */
public abstract class Stromverbraucher extends Einzelobjekt {
	/**
	 * [kW] = [kWh]
	 */
	protected double[] Stromverbrauch = new double[8760];

	protected Stromverbraucher(String name) {
		super(name);
	}

	public double[] getStromverbrauch() {
		return Stromverbrauch;
	}
}
